api_platform:
    title: 'OgCore Api'
    description: 'Api Documentation for OgCore'
    version: 1.0.0
    path_segment_name_generator: api_platform.path_segment_name_generator.dash
    defaults:
        pagination_client_items_per_page: true
    mercure:
        enabled: true

    collection:
        pagination:
            items_per_page_parameter_name: 'itemsPerPage'
    formats:
        jsonld: [ 'application/ld+json' ]
        json:   [ 'application/json' ]
        csv:    [ 'text/csv' ]
    patch_formats:
        jsonld: ['application/ld+json', 'application/json']
    mapping:
        paths: ['%kernel.project_dir%/config/api_platform', '%kernel.project_dir%/src/Dto']
    swagger:
        versions: [3]
        api_keys:
            apiKey:
                name: Authorization
                type: header
    exception_to_status:
        Doctrine\DBAL\Exception\ForeignKeyConstraintViolationException: 409